Subject: Re: [ietf-provreg] Question regarding contact:disclose behaviour.

From: Klaus Malorny <[email-masked]>
Date: Mon, 06 Nov 2006 09:46:10 +0100

Alexander Mayrhofer wrote:
> Hi,
> 
> we're moving towards EPP enabling .at, but there is an open question
> regarding how "contact:disclose" should work (we are going to use that for
> hiding certain elements in a legacy whois service). Section 2.9 of RFC3733
> contains the following example about "contact:disclose":
> 
 > [...]
> 
> I'd appreciate feedback on how that was originally intended, and would like
> to see some clarifying text about this in 3733bis...
> 
> Additionally, i'd like to hear from implementors about their currently
> implemented policy regarding this - i think it would be very confusing to
> clients if server behave differently...
> 
> thanks,
> 
> Alex Mayrhofer
> nic.at / enum.at
> 

Hi Alexander,

an earlier discussion with Scott revealed to me that the current approach does 
not allow to set the disclosure of one element and the non-disclosure of another 
element at the same time. Maybe this is the same that puzzled you.

Regards,

Klaus

___________________________________________________________________________
      |       |
      | knipp |                   Knipp  Medien und Kommunikation GmbH
       -------                           Technologiepark
                                         Martin-Schmeißer-Weg 9
      Dipl. Inf. Klaus Malorny           44227 Dortmund
      [email-masked]             Tel. +49 231 9703 0

---

From: "Hollenbeck, Scott" <[email-masked]>
Date: Mon, 6 Nov 2006 08:53:16 -0500

> -----Original Message-----
> From: Klaus Malorny [mailto:[email-masked]] 
> Sent: Monday, November 06, 2006 8:29 AM
> To: Hollenbeck, Scott
> Cc: [email-masked]
> Subject: Re: [ietf-provreg] Question regarding 
> contact:disclose behaviour.
> 
> Hollenbeck, Scott wrote:
> 
> > Within the <contact:disclose> element, that is.  The 
> expectation is that
> > the dcp element specifies the default policy (be it 
> disclose or not),
> > and <contact:disclose> specifies the exceptions.  It is 
> thus possible,
> > for example, to specify a non-disclosure policy for postal 
> address info
> > using the DCP element while allowing disclosure of an email address
> > using the <contact:disclose> element.
> > 
> > -Scott-
> > 
> 
> Hi Scott,
> 
> but the <dcp> element does not have the same granularity as the 
> <contact:disclose> element. I don't see how one could derive 
> the default 
> disclosure settings of the individual groups from the content 
> of the <dcp>.

Derivation is easy: the default applies to everything.  What you can't
easily specify are element-by-element distinctions.  I think that's what
you're suggesting, and if so, I agree.

> In addition, RFC3730bis says on page 9:
> 
>           Policy information MUST be disclosed to 
> provisioning entities,
>           though the method of disclosing policy data outside 
> of direct
>           protocol interaction is beyond the scope of this 
> specification.
> 
> This makes the actual value of the <dcp> contents 
> questionable, except if the 
> registry uses multiple policies in parallel and the policy 
> which applies to the 
> registrar's connection is determined dynamically -- which is 
> IMHO rather unlikely.

I won't disagree, and frankly I'm not that comfortable with any of this
DCP or contact:disclose stuff.  Remember that I, too, questioned the
form when others suggested it was necessary.

-Scott-